Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.sql
Interface QueryCreator

All Known Implementing Classes:
  DefaultQueryCreator

public interface QueryCreator

An interface that describes a class that can create a SQL query.

Version:
  $Revision: 1.2 $ $Date: 2000/02/13 18:29:32 $
Author:
  Donald Ball

Method Summary
`java.lang.String` | `getQuery(java.sql.Connection conn, java.lang.String query, org.w3c.dom.Element query_element, java.util.Properties query_props, java.util.Dictionary parameters)`

Method Detail

### getQuery

    public java.lang.String getQuery(java.sql.Connection conn,
                                     java.lang.String query,
                                     org.w3c.dom.Element query_element,
                                     java.util.Properties query_props,
                                     java.util.Dictionary parameters)
                              throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.